import type { BaseOptions } from './zod-options-wrapper.interface';
import type { DynamicZodModelClass } from './types';
import { AnyZodObject } from 'zod';
type Fn = (...args: any) => any;
/**
 * Decorates a method with given zod validation object.
 *
 * @export
 * @template T The type of the zod validation object.
 * @template F The type of the function that will be replaced.
 * @param {Function} originalFunction The original function which will be
 * replaced.
 *
 * @param {T} input The zod validation object.
 * @param {DynamicZodModelClass<T>} model The dynamically built zod class that
 * has the validations installed.
 *
 * @return {F}
 */
export declare function decorateWithZodInput<T extends AnyZodObject, F extends Fn = Fn>(originalFunction: F, input: T, model: DynamicZodModelClass<T>, options?: BaseOptions<T>): (this: any, ...args: Parameters<F>) => {
    [x: string]: any;
};
export {};
