"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionWithZod = void 0;
const class_transformer_1 = require("class-transformer");
const common_1 = require("@nestjs/common");
const graphql_1 = require("@nestjs/graphql");
const model_from_zod_1 = require("../../model-from-zod");
function SubscriptionWithZod(input, nameOrOptions, pickedOptions) {
    let zodOptions;
    if (typeof nameOrOptions === 'object') {
        zodOptions = nameOrOptions.zod;
    }
    else if (typeof pickedOptions === 'object') {
        zodOptions = pickedOptions.zod;
    }
    const model = (0, model_from_zod_1.modelFromZod)(input, zodOptions);
    return function _SubscriptionWithZod(target, methodName, descriptor) {
        var _a;
        let newDescriptor = descriptor || {};
        const originalFunction = (_a = descriptor === null || descriptor === void 0 ? void 0 : descriptor.value) !== null && _a !== void 0 ? _a : target[methodName];
        newDescriptor.value = function _subscriptionWithZod(...args) {
            const result = originalFunction.apply(this, args);
            if (result instanceof Promise) {
                return result
                    .then(output => input.parseAsync(output))
                    .then(output => (0, class_transformer_1.plainToInstance)(model, output))
                    .catch((error) => {
                    const messages = error.issues.reduce((prev, curr) => {
                        prev[curr.path.join('.')] = curr.message;
                        return prev;
                    }, {});
                    return new common_1.BadRequestException(messages);
                });
            }
            else {
                const parseResult = input.safeParse(result);
                if (parseResult.success) {
                    return (0, class_transformer_1.plainToInstance)(model, parseResult.data);
                }
                else {
                    const messages = parseResult.error.issues.reduce((prev, curr) => {
                        prev[curr.path.join('.')] = curr.message;
                        return prev;
                    }, {});
                    return new common_1.BadRequestException(messages);
                }
            }
        };
        if (!descriptor) {
            Object.defineProperty(target, methodName, newDescriptor);
        }
        let decorate;
        if (typeof nameOrOptions === 'string') {
            if (typeof pickedOptions === 'object') {
                decorate = (0, graphql_1.Subscription)(nameOrOptions, pickedOptions);
            }
            else {
                decorate = (0, graphql_1.Subscription)(nameOrOptions);
            }
        }
        else if (typeof nameOrOptions === 'object') {
            const { zod } = nameOrOptions, rest = __rest(nameOrOptions, ["zod"]);
            decorate = (0, graphql_1.Subscription)(() => model, rest);
        }
        else {
            decorate = (0, graphql_1.Subscription)(() => model);
        }
        decorate(target, methodName, descriptor);
    };
}
exports.SubscriptionWithZod = SubscriptionWithZod;
//# sourceMappingURL=subscription-with-zod.js.map