import { AnyZodObject, infer as Infer } from 'zod';
import type { ZodTypeInfo } from './get-field-info-from-zod';
import type { IModelFromZodOptions } from '../model-from-zod';
/**
 * Builds an enum type for GraphQL schema.
 *
 * @export
 * @template T The type of the zod object.
 * @param {keyof zod.infer<T>} key The key of the zod object.
 * @param {ZodTypeInfo} typeInfo The parsed zod type info.
 * @param {IModelFromZodOptions<zod.infer<T>>} options The options for building
 * enum type.
 *
 * @return {object} The enum object.
 */
export declare function buildEnumType<T extends AnyZodObject>(key: keyof Infer<T>, typeInfo: ZodTypeInfo, options: IModelFromZodOptions<T>): object;
