/**
 * A {@link Symbol} that is used for keeping the source zod object inside
 * a model class built from that source.
 */
export declare const ZodObjectKey: unique symbol;
/**
 * Gets the total registered class count.
 *
 * @export
 * @return {number} The registered class count.
 */
export declare function getRegisterCount(): number;
/**
 * Gets the total registered class count after increases the global counter.
 *
 * @export
 * @return {number} The new registered class count.
 */
export declare function getAndIncreaseRegisterCount(): number;
