"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAndIncreaseRegisterCount = exports.getRegisterCount = exports.ZodObjectKey = void 0;
// A global variable tracking the registered classes count.
// This is used for providing unique class names.
let registerCount = 0;
/**
 * A {@link Symbol} that is used for keeping the source zod object inside
 * a model class built from that source.
 */
exports.ZodObjectKey = Symbol('[[DynamicZodModelSource]]');
/**
 * Gets the total registered class count.
 *
 * @export
 * @return {number} The registered class count.
 */
function getRegisterCount() {
    return registerCount;
}
exports.getRegisterCount = getRegisterCount;
/**
 * Gets the total registered class count after increases the global counter.
 *
 * @export
 * @return {number} The new registered class count.
 */
function getAndIncreaseRegisterCount() {
    return ++registerCount;
}
exports.getAndIncreaseRegisterCount = getAndIncreaseRegisterCount;
//# sourceMappingURL=constants.js.map