import type { ZodType } from 'zod';
import type { IModelFromZodOptions } from '../model-from-zod';
/**
 * Extracts the name and description from a zod object input.
 *
 * @export
 * @template T The zod object input type.
 * @param {T} zodInput The zod object input.
 * @param {IModelFromZodOptions<T>} options The options for the operation.
 * @return {{ name: string, description: string }} An object containing
 * normalized name and description info.
 */
export declare function extractNameAndDescription<T extends ZodType>(zodInput: T, options: IModelFromZodOptions<T>): {
    name: string;
    description: string | undefined;
};
