"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getZodObject = void 0;
const constants_1 = require("./constants");
/**
 * Extracts the source zod object that is used for creating passed dynamic
 * model class.
 *
 * @export
 * @template T The type of the model class that is dynamically generated from
 * a zod object.
 *
 * @param {T} input The model class instance that is dynamically generated
 * from a zod object.
 *
 * @return {*} The source zod object.
 */
function getZodObject(input) {
    return input[constants_1.ZodObjectKey];
}
exports.getZodObject = getZodObject;
//# sourceMappingURL=get-zod-object.js.map