"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isZodInstance = void 0;
/**
 * Checks whether the given `input` is instance of given `klass`.
 *
 * @export
 * @template T The type of the input.
 * @param {T} klass The class type.
 * @param {Object} input The object input.
 * @return {input is InstanceType<T>} A boolean value indicating if the
 * input is instance of given class.
 */
function isZodInstance(klass, input) {
    return klass.name === input.constructor.name;
}
exports.isZodInstance = isZodInstance;
//# sourceMappingURL=is-zod-instance.js.map