"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toTitleCase = void 0;
/**
 * Creates another string where the initial letters of the words are
 * capitalized.
 *
 * @export
 * @param {string} value The input string.
 * @return {string} A string which is title-cased.
 */
function toTitleCase(value) {
    return value.replace(/\b(\p{Alpha})(.*?)\b/u, (_string, match, rest) => {
        return match.toUpperCase() + rest;
    });
}
exports.toTitleCase = toTitleCase;
//# sourceMappingURL=to-title-case.js.map