import { ZodType } from 'zod';
import { ArgumentMetadata, PipeTransform, Type } from '@nestjs/common';
/**
 * A validation pipe from `zod` validation schema.
 *
 * @export
 * @class ZodValidatorPipe
 * @implements {PipeTransform}
 * @template T The type of the `zod` validation schema.
 */
export declare class ZodValidatorPipe<T extends ZodType> implements PipeTransform {
    protected readonly input: T;
    protected readonly klass?: Type<any> | undefined;
    constructor(input: T, klass?: Type<any> | undefined);
    transform(value: any, _metadata: ArgumentMetadata): Promise<any>;
}
